/**
 * iTunes Remote
 * Copyright cwalstad 2004,2005
 */

package walstad.itunesremote.common;

/**
 * Some shared constants
 *
 * @author cwalstad
 */
public class Common {
	
	public static final int BUFLENGTH = 4;
	public static final int MAXBUF = 1024;
	public static final int ANNOUNCER_PORT = 8371; // remote broadcasts on this port
	public static final int CONNECTION_PORT = 8373; // connection on this port
	
	public static final byte[] REMOTE_ID = {50,50,50,50};
	public static final byte[] COMP_ID = {60,60,60,60};
	
	/* For connection */
	public static final int NOT_CONNECTED = 1001;
	public static final int CONNECTING = 1002;
	public static final int CONNECTED = 1003;	
	
	
	/* Message IDs */
	
	/* Remote sends to computer */
	public static final int PLAY_PAUSE_ID = 1;
	public static final int STOP_ID = 2;
	public static final int VOLUME_UP_ID = 3;
	public static final int VOLUME_DOWN_ID = 4;
	public static final int FAST_FORWARD_ID = 5;
	public static final int MUTE_ID = 6;
	public static final int NEXT_TRACK_ID = 7;
	public static final int PREV_TRACK_ID = 8;
	public static final int QUIT_ID = 9;
	public static final int RESUME_ID = 10;
	public static final int REWIND_ID = 11;
	public static final int GET_CURRENT_TRACK_INFO_ID = 12;
	public static final int SEARCH_ALL_QUERY = 13;
	public static final int PLAY_ID = 14;
	public static final int TOGGLE_VISUALS_STATUS = 15;
	
	/* Computer sends to remote */
	public static final int CURRENT_TRACK_INFO_ID = 500;
	public static final int CURRENT_VOLUME_ID = 501;
	public static final int CURRENT_PLAY_STATUS_ID = 502;
	public static final int PLAYING_STATUS = 503;
	public static final int STOPPED_STATUS = 504;
	public static final int PAUSED_STATUS = 505;
	public static final int MUTE_STATUS = 506;
	public static final int FAST_FORWARD_STATUS = 507;
	public static final int REWIND_STATUS = 508;
	public static final int SEARCH_RESULTS_HEADER = 509;
	
	/* Security stuff */
	public static final int BAD_PASSWORD = 600;
	public static final int REQUIRES_PASSWORD = 601;
	
	/* Standard return codes */
	public static final int SUCCESS = 0;
	public static final int UNEXPECTED_ERROR = 1;
	
}
