/**
 * iTunes Remote
 * Copyright cwalstad 2004,2005
 */

package walstad.itunesremote.common;

import java.io.Serializable;
import java.util.List;

/**
 * Represents a playlist
 */
public class Playlist implements Serializable {

	private String name;
	private List tracks; // all of the tracks
	private long length; // total length in seconds
	
	public Playlist() { }
	public Playlist(String name, List tracks, long length) {
		this.name = name;
		this.tracks = tracks;
		this.length = length;
	}
	
	/** @return the length in minutes */
	public String getLength() {
		double minutes = (double)length / 60.0;
		String str = (new Double(minutes)).toString();
		str = trimAfterDecimal(str,2);
		return str;
	}
	
	private static String trimAfterDecimal(String str, int sigDigits) {
	    int idx = str.indexOf('.');
	    if(idx == -1)
	        return str;
	    if(str.length() > (idx + sigDigits+1)) {
	        str = str.substring(0,idx+3);
	    }
	    return str;
	}
	
	public void setLength(long length) {
		this.length = length;
	}
	
	public String getName() {
		return name;
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public List getTracks() {
		return tracks;
	}
	
	public void setTracks(List tracks) {
		this.tracks = tracks;
	}

	// Test
	public static void main(String[] args) {
	    String str1 = "11.23";
	    String str2 = "11.2";
	    String str3 = "11";
	    String str4 = "11.235";
	    System.out.println(trimAfterDecimal(str1,2));
	    System.out.println(trimAfterDecimal(str2,2));
	    System.out.println(trimAfterDecimal(str3,2));
	    System.out.println(trimAfterDecimal(str4,2));
	}
}
