/**
 * iTunes Remote
 * Copyright cwalstad 2004,2005
 */

package walstad.itunesremote.common;

import java.io.Serializable;

/**
 * SearchResults for some query
 *
 */
public class SearchResult implements Serializable {
	
	private Track[] tracks;
	private String query;
	
	public SearchResult() {}
	
	public SearchResult(String query, Track[] tracks) {
		this.query = query;
		this.tracks = tracks;
	}
	
	public String getQuery() {
		return query;
	}
	
	public int getNumberOfResults() {
	    return tracks.length;
	}
	
	// a null value indicates an empty search
	public Track[] getTracks() {
		return tracks;
	}
	
	public void setTracks(Track[] t) {
		tracks = t;
	}
	
	public String toString() {
		StringBuffer buf = new StringBuffer("Searched for: ");
		buf.append(query);
		buf.append("\nResults:\n");
		if(tracks == null || tracks.length == 0) {
			buf.append("No matches found.");
		} else {
			for(int i=0;i<tracks.length;i++) {
				buf.append(tracks[i].getTitle());
				buf.append("\t");
				buf.append(tracks[i].getArtist());
				buf.append("\t");
				buf.append(tracks[i].getAlbum());
				buf.append("\n");
			}
		}
		return buf.toString();
	}
	
}
