/**
 * iTunes Remote
 * Copyright cwalstad 2004,2005
 */

package walstad.itunesremote.common;

import java.awt.GridBagConstraints;

/**
 * Some utility methods
 *
 */
public class Tools {
	
	
	/**
	 * Takes a track length of form xx:xx and converts
	 * it to a time in milliseconds
	 * @param length the string representation of the length
	 * @return length in milliseconds
	 */
	public static int parseLength(String length) throws NumberFormatException {
		String[] parts = length.split(":");
		if(parts.length != 2)
			throw new NumberFormatException("Invalid length");
		int seconds = Integer.parseInt(parts[1]);
		seconds += (60 * Integer.parseInt(parts[0]));
		return seconds * 1000;
	}
	
	
	public static byte[] intToBytes(int v) {
		byte b[] = new byte[4];
		int i, shift;
		for (i = 0, shift = 24; i < 4; i++, shift -= 8)
			b[i] = (byte) (0xFF & (v >> shift));
		return b;
	}

	public static int bytesToInt(byte[] ba) {
		int i;
		if (ba[0] < 0)
			i = ba[0] + 256;
		else
			i = ba[0];
		i <<= 8;
		if (ba[1] < 0)
			i += ba[1] + 256;
		else
			i += ba[1];
		i <<= 8;
		if (ba[2] < 0)
			i += ba[2] + 256;
		else
			i += ba[2];
		i <<= 8;
		if (ba[3] < 0)
			i += ba[3] + 256;
		else
			i += ba[3];
		return i;
	}
	
	public static void setGBC(
			GridBagConstraints gbc,
			int gridx,
			int gridy,
			int gridwidth,
			int gridheight,
			int weightx,
			int weighty,
			int fill) {
			gbc.gridx = gridx;
			gbc.gridy = gridy;
			gbc.gridwidth = gridwidth;
			gbc.gridheight = gridheight;
			gbc.weightx = weightx;
			gbc.weighty = weighty;
			gbc.fill = fill;
	}


    public static final boolean areEqual(byte[] a, byte[] b) {
    	if(a.length != b.length)
    		return false;
    	for(int i=0;i<a.length;i++) {
    		if(a[i] != b[i])
    			return false;
    	}
    	return true;
    }


    public static final boolean areEqualUpTo(byte[] a, byte[] b, int l) {
    	if(a.length != b.length && (a.length < l || b.length < l))
    			return false;
    	for(int i=0;i<l && i <a.length && i<b.length;i++) {
    		if(a[i] != b[i])
    			return false;
    	}
    	return true;
    }
	
}
