/*
 * iTunes Remote
 * 
 * Copyright cwalstad 2004,2005
 */
package walstad.itunesremote.common.gui;

import java.awt.event.FocusEvent;
import java.awt.event.FocusListener;
import javax.swing.text.JTextComponent;

/**
 * This class should be used as the focus listener
 * of any component that should select all of its
 * text when it gains focus
 *
 * @author Chris Walstad
 */
public class SelectAllFocustListener implements FocusListener {

    private JTextComponent component;
    
    public SelectAllFocustListener(JTextComponent comp) {
        component = comp;
    }
    
    public void focusGained(FocusEvent e) {
        component.selectAll();
    }

    public void focusLost(FocusEvent e) {
        component.setSelectionStart(0);
        component.setSelectionEnd(0);
    }

}
