/**
 * iTunes Remote
 * Copyright cwalstad 2004,2005
 */

package walstad.itunesremote.common.security;

import java.io.Serializable;


/**
 * 
 * The InitMessage is sent from the host to the remote and is used
 * for the remote to loosely synchronize its local clock (if
 * authentication is required) with the host's
 * local clock.  This will allow the remote to authenticate itself to
 * the host.
 * 
 * @author Chris Walstad
 *
 *
 */
public class InitMessage implements Serializable {
    
    private long time;
    private boolean requirePassword;
    
    public InitMessage(boolean reqPass) {
        time = System.currentTimeMillis();
        requirePassword = reqPass;
    }
    
    public boolean passwordRequired() {
        return requirePassword;
    }
    
    public long getTime() {
        return time;
    }
    
}
