/**
 * iTunes Remote
 * Copyright cwalstad 2004,2005
 */


package walstad.itunesremote.common.security;

import java.io.Serializable;

import java.security.SecureRandom; // in jdk 1.1

/**
 * 
 * Just a wrapper for a nonce
 * 
 * @author Chris Walstad
 * 
 */
public class Nonce implements Serializable {
    
    private long number;
    
    public Nonce(long n) {
        number = n;
    }
    
    public Nonce() {
        this(new SecureRandom());        
    }
    
    public Nonce(SecureRandom rand) {
        byte[] buf = new byte[8];
        rand.nextBytes(buf);
        number = Tools.bytesToLong(buf);
    }
    
    public long getNumber() {
        return number;
    }
    
    public boolean equals(Object other) {
        if( !(other instanceof Nonce) )
            return false;
        Nonce n = (Nonce)other;
        if(n.getNumber() == number)
            return true;
        else
            return false;
    }
    
}
