/**
 * iTunes Remote
 * Copyright cwalstad 2004,2005
 */

package walstad.itunesremote.common.security;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.io.Serializable;

/**
 * 
 * Methods useful in the exchange of secure messages
 * 
 * @author Chris Walstad
 *
 */
public class Tools {
    
    public static byte[] objToBytes(Serializable obj) {
        try {
            ByteArrayOutputStream buf = new ByteArrayOutputStream();
            ObjectOutputStream oos = new ObjectOutputStream(buf);
            oos.writeObject(obj);
            return buf.toByteArray();
        }catch(IOException e) {
            System.out.println("Unexpected error occured in Tools.objToBytes()");
            e.printStackTrace();
            return null;
        }
    }
    
    public static boolean byteArraysEqual(byte[] a,byte[] b) {
        if(a.length != b.length)
            return false;
        for(int i=0;i<a.length;i++) {
            if(a[i] != b[i])
                return false;
        }
        return true;
    }
    
    public static byte[] stringToKey(String s) {
        // TODO perhaps change
        return s.getBytes();
    }
    
	public static byte[] longToBytes(long v) {
		byte b[] = new byte[8];
		int i, shift;
		for (i = 0, shift = 56; i < 8; i++, shift -= 8)
			b[i] = (byte) (0xFF & (v >> shift));
		return b;
	}
	
	public static void main(String[] args) {
	    // Test
	    long test = 1234567891;
	    byte[] result = Tools.longToBytes(test);
	    System.out.println("longToBytes = " + result + "\n" +
	            "bytesToLong(result) = " + Tools.bytesToLong(result));
	}
    
    public static long bytesToLong(byte[] ba) {
		long i;
		if (ba[0] < 0)
			i = ba[0] + 256;
		else
			i = ba[0];
		i <<= 8;
		if (ba[1] < 0)
			i += ba[1] + 256;
		else
			i += ba[1];
		i <<= 8;
		if (ba[2] < 0)
			i += ba[2] + 256;
		else
			i += ba[2];
		i <<= 8;
		if (ba[3] < 0)
			i += ba[3] + 256;
		else
			i += ba[3];
		i <<= 8;
		if (ba[4] < 0)
			i = ba[4] + 256;
		else
			i = ba[4];
		i <<= 8;
		if (ba[5] < 0)
			i += ba[5] + 256;
		else
			i += ba[5];
		i <<= 8;
		if (ba[6] < 0)
			i += ba[6] + 256;
		else
			i += ba[6];
		i <<= 8;
		if (ba[7] < 0)
			i += ba[7] + 256;
		else
			i += ba[7];
		return i;
	}
    
    
}
