/**
 * iTunes Remote
 * Copyright cwalstad 2004,2005
 */

package walstad.itunesremote.local;

import java.io.*;

/**
 * Contains some properties of the local installation
 *
 */
public class Properties implements Serializable {
	
	private String hostName = null;
	private String password = null;
	private boolean passwordRequired;
	private boolean displayOnStartup = true;
	
	public Properties() { }
	
	public Properties(String hostName, String password, boolean passwordRequired,
	        boolean displayOnStartup) {
		this.hostName = hostName;
		this.password = password;
		this.passwordRequired = passwordRequired;
		this.displayOnStartup = displayOnStartup;
	}
    
	public boolean isDisplayOnStartup() {
	    return displayOnStartup;
	}
	
	public void setDisplayOnStartup(boolean b) {
	    displayOnStartup = b;
	}
	
    public boolean isPasswordRequired() {
        return passwordRequired;
    }
    
    public void setPasswordRequired(boolean passwordRequired) {
        this.passwordRequired = passwordRequired;
    }
    
	public String getHostName() {
		return hostName;
	}
	
	public String getPassword() {
		return password;
	}
	
	public void setHostName(String h) {
		hostName = h;
	}
	
	public void setPassword(String p) {
		password = p;
	}
	
	public void writeToFile() throws FileNotFoundException, IOException {
		File file = new File(".properties");
		ObjectOutputStream os = new ObjectOutputStream(new FileOutputStream(file));
		os.writeObject(this);
		os.close();
	}
	
	public static Properties readFromFile() {
		File file = new File(".properties");
		Properties p = null;
		try {
			ObjectInputStream is = new ObjectInputStream(new FileInputStream(file));
			p = (Properties)is.readObject();
		}catch(Exception e) {
			return null;
		}
		return p;
	}
	
	public static Properties getDefaultProperties() {
		return new Properties("Default Name","",false, true);
	}
	
	
}
