/**
 * iTunes Remote
 * Copyright cwalstad 2004,2005
 */

package walstad.itunesremote.remote;


import java.awt.Frame;

import walstad.itunesremote.common.*;
import walstad.itunesremote.remote.gui.GuiMainFrame;
import walstad.itunesremote.remote.gui.GuiMainPanel;
import walstad.itunesremote.remote.gui.GuiStartupPanel;

/**
 * The entry point for the iTunes Remote (remote) application
 *
 */
public class Main {
	
	private static Player player = null;
	private static Connection connection;
	private static Receiver receiver;
	
	private static GuiMainFrame mainFrame;
	private static GuiMainPanel mainPanel;
	private static GuiStartupPanel startupPanel;
	
	public static void main(String[] args) {
		mainFrame = new GuiMainFrame();
		startupPanel = new GuiStartupPanel();
		mainFrame.add(startupPanel);
		mainFrame.show();
	}
	
	public static Frame getMainFrame() {
		return mainFrame;
	}
	
	public static boolean connect(Host host) {
		// connect to the given host and display the screen
		try { receiver.end(); } catch(Exception e) {}
		try { connection.cleanup(); } catch(Exception e) {}
		connection = new Connection();
		if(!connection.connect(host)) {
			return false;
		}
		// we are connected
		player = new Player(connection);
		receiver = new Receiver(player,connection);
		receiver.start();
		mainPanel = new GuiMainPanel();
		startupPanel.setVisible(false);
		mainFrame.add(mainPanel,0);
		mainFrame.validate();
		return true;
	}
	
	public static void disconnect() {
		// disconnect and display the startup screen
		receiver.end();
		connection.cleanup();
		mainFrame.remove(mainPanel);
		startupPanel.setVisible(true);
	}
	
	public static Player getPlayer() {
		return player;
	}

}
