/**
 * iTunes Remote
 * Copyright cwalstad 2004,2005
 */

package walstad.itunesremote.remote;

import java.io.*;
import java.util.List;
import java.util.ArrayList;

import walstad.itunesremote.common.Host;


/**
 * A class for saving and storing hosts that the user enters
 *
 */
public class SavedHosts implements Serializable {
	
	private static final String FILENAME = ".saved_hosts";
	private static SavedHosts savedHosts;
	
	private List hosts;
	
	private SavedHosts() {
		hosts = new ArrayList();
	}
	
	public static SavedHosts getSavedHosts() {
		File file = new File(FILENAME);
		if(savedHosts == null) {
		    try {
		        ObjectInputStream is = new ObjectInputStream(new FileInputStream(file));
		        savedHosts =(SavedHosts)is.readObject();
		        return savedHosts;
		    }catch(Exception e) {
		        SavedHosts sh = new SavedHosts();
		        sh.writeToFile();
		        return sh;
		    }
		} else {
		    return savedHosts;
		}
	}
	
	public static void writeSavedHots() {
		File file = new File(FILENAME);
		try {
			ObjectOutputStream os = new ObjectOutputStream(new FileOutputStream(file));
			os.writeObject(savedHosts);
		}catch(Exception e) {
			e.printStackTrace();
		}
	}
	
	public void writeToFile() {
		File file = new File(FILENAME);
		try {
			ObjectOutputStream os = new ObjectOutputStream(new FileOutputStream(file));
			os.writeObject(this);
		}catch(Exception e) {
			e.printStackTrace();
		}
	}
	
	public void remove(Host h) {
		hosts.remove(h);
		writeToFile();
	}
	
	public Host getHost(int idx) {
	    return (Host)hosts.get(idx);
	}
	
	public void add(Host h) {
		hosts.add(h);
		writeToFile();
	}
	
	public List getHosts() {
		return hosts;
	}

	public boolean contains(Host h) {
		return hosts.contains(h);
	}

}
