/**
 * iTunes Remote
 * Copyright cwalstad 2004,2005
 */

package walstad.itunesremote.remote.gui;

import java.awt.*;
import java.awt.event.*;

/**
 * The main frame of the GUI, designed for Personal Java 1.2
 *
 */
public class GuiMainFrame extends Frame {
	
	public GuiMainFrame() {
		super("iTunes Remote");
		setup();
	}
	
	private void setup() {
		addWindowListener(new MyWindowListener());
		Toolkit kit = Toolkit.getDefaultToolkit();
		setWindowSize(kit);
		setIconImage(kit.getImage("res/icon.PNG"));
		setResizable(false);
	}
	
	private void setWindowSize(Toolkit kit) {
		Dimension d = kit.getScreenSize();
		if(d.width > 240 && d.height > 320)
			setSize(240,320);
		else if(d.width > 240)
			setSize(240,d.height);
		else if(d.height > 320)
			setSize(d.width,320);
		else
			setSize(d);
	}

}

class MyWindowListener implements WindowListener {
	public void windowOpened(WindowEvent e) {}
	public void windowClosing(WindowEvent e) {
		System.exit(0);
	}
	public void windowClosed(WindowEvent e) {}
	public void windowIconified(WindowEvent e) {}
	public void windowDeiconified(WindowEvent e) {}
	public void windowActivated(WindowEvent e) {}
	public void windowDeactivated(WindowEvent e) {}
}
